Retrieve details about a specific collection
curl --request GET \
--url https://api.cloudglue.dev/v1/collections/{collection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/collections/{collection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudglue.dev/v1/collections/{collection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloudglue.dev/v1/collections/{collection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloudglue.dev/v1/collections/{collection_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudglue.dev/v1/collections/{collection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "collection",
"name": "<string>",
"collection_type": "media-descriptions",
"created_at": 123,
"file_count": 123,
"description": "<string>",
"moments_config": {
"criteria": [
{
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criterion_name": "<string>",
"criterion_hash": "<string>",
"backfill_status": "pending",
"criterion": {
"name": "<string>",
"instructions": "<string>",
"moment_schema": {},
"finding_schema": {},
"anchors": {},
"scoring": {
"key": "<string>",
"min": 123,
"max": 123,
"higher_is_better": true,
"description": "<string>"
}
},
"options": {
"signals_required": [
"<string>"
],
"boundary_policy": "sentence",
"speaker_filter": {},
"min_duration_seconds": 123,
"max_duration_seconds": 123
},
"files_total": 123,
"files_completed": 123,
"files_failed": 123,
"created_at": 123
}
]
},
"extract_config": {
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true
},
"transcribe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_scene_text": true,
"enable_visual_scene_description": true,
"enable_audio_description": true
},
"describe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_scene_text": true,
"enable_visual_scene_description": true,
"enable_audio_description": true,
"prompt": "<string>"
},
"default_segmentation_config": {
"strategy": "uniform",
"uniform_config": {
"window_seconds": 60.5,
"hop_seconds": 60.5
},
"shot_detector_config": {
"detector": "adaptive",
"threshold": 123,
"min_seconds": 300.3,
"max_seconds": 300.5,
"fill_gaps": true
},
"manual_config": {
"segments": [
{
"start_time": 123,
"end_time": 123
}
]
},
"narrative_config": {
"prompt": "<string>",
"strategy": "comprehensive",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"keyframe_config": {
"frames_per_segment": 4,
"max_width": 2232
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"default_thumbnails_config": {
"enable_segment_thumbnails": true
},
"face_detection_config": {
"frame_extraction_config": {
"strategy": "uniform",
"uniform_config": {
"frames_per_second": 15.05,
"max_width": 2080
}
},
"thumbnails_config": {
"enable_frame_thumbnails": true
}
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Common Collection Operations
Get Collection
Retrieve details about a specific collection
GET
/
collections
/
{collection_id}
Retrieve details about a specific collection
curl --request GET \
--url https://api.cloudglue.dev/v1/collections/{collection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/collections/{collection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudglue.dev/v1/collections/{collection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloudglue.dev/v1/collections/{collection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloudglue.dev/v1/collections/{collection_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudglue.dev/v1/collections/{collection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "collection",
"name": "<string>",
"collection_type": "media-descriptions",
"created_at": 123,
"file_count": 123,
"description": "<string>",
"moments_config": {
"criteria": [
{
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criterion_name": "<string>",
"criterion_hash": "<string>",
"backfill_status": "pending",
"criterion": {
"name": "<string>",
"instructions": "<string>",
"moment_schema": {},
"finding_schema": {},
"anchors": {},
"scoring": {
"key": "<string>",
"min": 123,
"max": 123,
"higher_is_better": true,
"description": "<string>"
}
},
"options": {
"signals_required": [
"<string>"
],
"boundary_policy": "sentence",
"speaker_filter": {},
"min_duration_seconds": 123,
"max_duration_seconds": 123
},
"files_total": 123,
"files_completed": 123,
"files_failed": 123,
"created_at": 123
}
]
},
"extract_config": {
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true
},
"transcribe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_scene_text": true,
"enable_visual_scene_description": true,
"enable_audio_description": true
},
"describe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_scene_text": true,
"enable_visual_scene_description": true,
"enable_audio_description": true,
"prompt": "<string>"
},
"default_segmentation_config": {
"strategy": "uniform",
"uniform_config": {
"window_seconds": 60.5,
"hop_seconds": 60.5
},
"shot_detector_config": {
"detector": "adaptive",
"threshold": 123,
"min_seconds": 300.3,
"max_seconds": 300.5,
"fill_gaps": true
},
"manual_config": {
"segments": [
{
"start_time": 123,
"end_time": 123
}
]
},
"narrative_config": {
"prompt": "<string>",
"strategy": "comprehensive",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"keyframe_config": {
"frames_per_segment": 4,
"max_width": 2232
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"default_thumbnails_config": {
"enable_segment_thumbnails": true
},
"face_detection_config": {
"frame_extraction_config": {
"strategy": "uniform",
"uniform_config": {
"frames_per_second": 15.05,
"max_width": 2080
}
},
"thumbnails_config": {
"enable_frame_thumbnails": true
}
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Response
Collection details